automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

02-distclean-test.diff


From: derek
Subject: 02-distclean-test.diff
Date: Tue, 24 Jun 2003 12:47:22 +0000

I sent this some time ago, with a fix for automake.in but I didn't receive a
response.  In any case, the issue was that when AC_CONFIG_LINKS is used to
create a link, the links are never removed, even after a `make distclean'.  I
thought I had understood that `./configure; make all; make distclean' should
leave me with what I started with.

Someone let me know if I'm on the wrong track.  I've included the patch with
the test which proves the problem exists.  If I'm right about this, someone
let me know and I can forward my automake.in fix.

My FSF copyright assignment papers are already on file and have been for a
year or three.


        * src/Makefile.am (XFAIL_TESTS): Add distclean.test.
        * src/distclean.test: New file.


Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.500
diff -u -r1.500 Makefile.am
--- tests/Makefile.am   23 Jun 2003 21:39:53 -0000      1.500
+++ tests/Makefile.am   24 Jun 2003 02:26:14 -0000
@@ -1,6 +1,6 @@
 ## Process this file with automake to create Makefile.in
 
-XFAIL_TESTS = auxdir2.test cond17.test txinfo5.test
+XFAIL_TESTS = auxdir2.test cond17.test txinfo5.test distclean.test
 
 TESTS =        \
 aclibobj.test \
@@ -161,6 +161,7 @@
 dirforbid.test \
 dirlist.test \
 discover.test \
+distclean.test \
 distcom.test \
 distcom2.test \
 distcom3.test \
Index: tests/distclean.test
===================================================================
RCS file: tests/distclean.test
diff -N tests/distclean.test
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/distclean.test        24 Jun 2003 02:26:14 -0000
@@ -0,0 +1,32 @@
+#! /bin/sh
+# Copyright (C) 1998, 2001, 2002, 2003  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with autoconf; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Test to make sure a clean target depends on previous one.
+
+. ./defs || exit 1
+
+: > Makefile.am
+
+echo "AC_CONFIG_LINKS(src:dest)" >> configure.in
+
+$ACLOCAL || exit 1
+$AUTOMAKE || exit 1
+
+grep 'CONFIG_CLEAN_FILES = dest' Makefile.in




reply via email to

[Prev in Thread] Current Thread [Next in Thread]